org.apache.activemq.artemis.jms.server.management.impl

## Class JMSManagementServiceImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.management.impl.JMSManagementServiceImpl

- All Implemented Interfaces:
    JMSManagementService

      public class JMSManagementServiceImpl
      extends Object
      implements JMSManagementService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSManagementServiceImpl(org.apache.activemq.artemis.core.server.management.ManagementService managementService, org.apache.activemq.artemis.core.server.ActiveMQServer server, JMSServerManager jmsServerManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerConnectionFactory(String name, ConnectionFactoryConfiguration cfConfig, ActiveMQConnectionFactory connectionFactory)`
    `JMSServerControl` | `registerJMSServer(JMSServerManager server)`
    `void` | `registerQueue(ActiveMQQueue queue, org.apache.activemq.artemis.core.server.Queue serverQueue)`
    `void` | `registerTopic(ActiveMQTopic topic)`
    `void` | `stop()`
    `void` | `unregisterConnectionFactory(String name)`
    `void` | `unregisterJMSServer()`
    `void` | `unregisterQueue(String name)`
    `void` | `unregisterTopic(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSManagementServiceImpl

          public JMSManagementServiceImpl(org.apache.activemq.artemis.core.server.management.ManagementService managementService,
                                          org.apache.activemq.artemis.core.server.ActiveMQServer server,
                                          JMSServerManager jmsServerManager)

  - ### Method Detail

    - #### registerJMSServer

          public JMSServerControl registerJMSServer(JMSServerManager server)
                                             throws Exception

      Specified by:
        `registerJMSServer` in interface `JMSManagementService`
      Throws:
        `Exception`

    - #### unregisterJMSServer

          public void unregisterJMSServer()
                                   throws Exception

      Specified by:
        `unregisterJMSServer` in interface `JMSManagementService`
      Throws:
        `Exception`

    - #### registerQueue

          public void registerQueue(ActiveMQQueue queue,
                                    org.apache.activemq.artemis.core.server.Queue serverQueue)
                             throws Exception

      Specified by:
        `registerQueue` in interface `JMSManagementService`
      Throws:
        `Exception`

    - #### unregisterQueue

          public void unregisterQueue(String name)
                               throws Exception

      Specified by:
        `unregisterQueue` in interface `JMSManagementService`
      Throws:
        `Exception`

    - #### registerTopic

          public void registerTopic(ActiveMQTopic topic)
                             throws Exception

      Specified by:
        `registerTopic` in interface `JMSManagementService`
      Throws:
        `Exception`

    - #### unregisterTopic

          public void unregisterTopic(String name)
                               throws Exception

      Specified by:
        `unregisterTopic` in interface `JMSManagementService`
      Throws:
        `Exception`

    - #### registerConnectionFactory

          public void registerConnectionFactory(String name,
                                                ConnectionFactoryConfiguration cfConfig,
                                                ActiveMQConnectionFactory connectionFactory)
                                         throws Exception

      Specified by:
        `registerConnectionFactory` in interface `JMSManagementService`
      Throws:
        `Exception`

    - #### unregisterConnectionFactory

          public void unregisterConnectionFactory(String name)
                                           throws Exception

      Specified by:
        `unregisterConnectionFactory` in interface `JMSManagementService`
      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws Exception

      Specified by:
        `stop` in interface `JMSManagementService`
      Throws:
        `Exception`

Copyright © 2017 The Apache Software Foundation. All rights reserved.